Bug 1130300 - sync plan shows "never synced" for a repository even though it has been manually synchronised
Summary: sync plan shows "never synced" for a repository even though it has been manua...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: sthirugn@redhat.com
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1123459 (view as bug list)
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:24 UTC by cmilsted
Modified: 2019-08-15 03:56 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:14:23 UTC


Attachments (Terms of Use)
Screenshot (89.91 KB, image/png)
2014-08-14 19:24 UTC, cmilsted
no flags Details
sync plan showing last sync time (50.42 KB, image/png)
2014-08-14 19:53 UTC, sthirugn@redhat.com
no flags Details
sync plan status (55.92 KB, image/png)
2015-03-17 15:22 UTC, sthirugn@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Red Hat Knowledge Base (Solution) 1211003 None None None Never

Description cmilsted 2014-08-14 19:24:23 UTC
Created attachment 926891 [details]
Screenshot

Description of problem: I have a new install of Satellite 6 Beta, I have manually synchronised a repository, and now added it to a synchronisation plan. In the sync status page it shows:

content -> sync status -> Sync complete. 

In the content -> sync plan -> products tab -> Never synced

So I assume the status is that the schedule has never run, yet the repo is synchronised.


Version-Release number of selected component (if applicable):


How reproducible: each time


Steps to Reproduce:
1. create a new repo (using RH ones)
2. Manually synchronise it
3. Create a sync plan
4. Add repo to sync plan

Actual results: also included command line:

[root@cmilsted-rhel6 ~]# hammer repository info --name "Red Hat Enterprise Linux 7 Server RPMs x86_64 7.0" --organization BSkyB
ID:                 1
Name:               Red Hat Enterprise Linux 7 Server RPMs x86_64 7.0
Label:              Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7_0
Organization:       BSkyB
Red Hat Repository: yes
Content Type:       yum
URL:                https://cdn.redhat.com/content/dist/rhel/server/7/7.0/x86_64/os
Publish Via HTTP:   no
Published At:       https://cmilsted-rhel6.saleslab.fab.redhat.com/pulp/repos/SkyBroadcast/Library/content/dist/rhel/server/7/7.0/x86_64/os
Product:            
    ID:   88
    Name: Red Hat Enterprise Linux Server
GPG Key:            

Sync:               
    Status:         Finished
    Last Sync Date: 2014/08/14 20:03:19
Created:            2014/08/14 10:37:43
Updated:            2014/08/14 10:37:43
Content Counts:     
    Packages:       4629
    Package Groups: 70
    Errata:         59



[root@cmilsted-rhel6 ~]# hammer sync-plan info --name "Weekly" --organization BSkyB
ID:          2
Name:        Weekly
Start Date:  2014/08/14 19:00:51
Interval:    weekly
Description: Weekly sync
Created at:  2014/08/14 19:00:12
Updated at:  2014/08/14 19:00:12


Also screenshot attached to show this.




Expected results:

Should show as manually synchronised or just synchronised.


Additional info:

Comment 1 RHEL Product and Program Management 2014-08-14 19:33:12 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 sthirugn@redhat.com 2014-08-14 19:53:24 UTC
Sync plan now shows repo's last sync time in Sat6 build GA Snap 5 - 
GA Snap 5 - Satellite-6.0.4-RHEL-6-20140813.2 (see screenshot)

Comment 4 sthirugn@redhat.com 2014-08-14 19:53:49 UTC
Created attachment 926897 [details]
sync plan showing last sync time

Comment 5 Walden Raines 2014-08-26 20:34:15 UTC
*** Bug 1123459 has been marked as a duplicate of this bug. ***

Comment 6 Bryan Kearney 2014-09-11 12:28:39 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Comment 8 Walden Raines 2015-01-13 13:48:26 UTC
Created redmine issue http://projects.theforeman.org/issues/8924 from this bug

Comment 9 Walden Raines 2015-01-13 19:32:56 UTC
PR: https://github.com/Katello/katello/pull/4916

Comment 10 Bryan Kearney 2015-01-13 21:03:26 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/8924 has been closed
-------------
Walden Raines
Applied in changeset commit:katello|56bb674f7686d4d43f126e2df539353e399165e5.

Comment 14 sthirugn@redhat.com 2015-03-17 15:21:35 UTC
Verified.

Test steps:
1. create a new repo (using RH ones)
2. Manually synchronise it
3. Create a sync plan
4. Add repo to sync plan
5. Now the sync status shows the last synced status (see screenshot)

Version Tested:
Satellite-6.1.0-RHEL-6-20150311.1

Comment 15 sthirugn@redhat.com 2015-03-17 15:22:05 UTC
Created attachment 1002841 [details]
sync plan status

Comment 19 Bryan Kearney 2015-08-11 13:35:33 UTC
This bug is slated to be released with Satellite 6.1.

Comment 20 errata-xmlrpc 2015-08-12 05:14:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.